/****************************************************************
 * Paint Shop Pro File Format Library
 * Error values
 *
 * Paint Shop Pro by Jasc Software, Inc. (http://www.jasc.com/)
 *
 * $Id: psperrno.h,v 1.1.1.1 1999/08/15 19:54:41 tl Exp $
 *
 * Copyright (c) 1999
 *               Thomas Linder
 *
 * Based on the psp file-format specs:
 *   http://www.jasc.com/specs/psp.html
 *
 * Inspired by the need to have a format for image interchange
 * between PSP and Gimp.
 ****************************************************************
 * This is part of libpsp and is free software; you can redistribute
 * and/or modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 ****************************************************************/

#ifndef __PSPERRNO_H
#define __PSPERRNO_H 1

enum PSPErrnumvalues {
    PSPENOERR = 0,
	/* No error */
    
    PSPEINVAL,
	/* Invalid argument */
    
    PSPENOPSP,
	/* Not a valid PSP file */
    
    PSPEUNSUP,
	/* Unsupported PSP file format version */

    PSPENIMPL,
	/* Requested feature not implemented */
};

#endif /* __PSPERRNO_H */



